Subject: Re: status of gcc4 -ffast-math
From: Hans Horn <[email-masked]>
To: [email-masked]
Date: Thu, 05 Nov 2009 17:25:16 -0800
Newsgroups: gmane.os.cygwin
List-Id: <cygwin.cygwin.com>

Dave Korn wrote:
> Hans Horn wrote:
> 
>>> Do you where this gobble stuff ‘ comes from, btw?
> 
>   GCC is trying to use the appropriate set of internationalized opening and
> closing single-quote marks.  If you "export LC_LANG=C.ASCII", you'll get
> regular apostrophes.
> 
>> It's -fno-leading-underscore.
>> Have to see whether I can live without it!
> 
>   You can't live *with* it.  Seriously, if you're using it in the first place,
> you are doing something very very wrong indeed (like trying to link to
> pre-compiled linux binaries) that you should not be doing, because neither it
> nor anything else will work.  You will break every library and just
> everything.  Sorry about that, but the decision to prefix symbols with an
> underscore or not is part of the win32 ABI, not open to changing according to
> a user's preferences, and frankly I don't think this option serves any useful
> purpose except to break things and confuse people by giving them hope that
> things might work that can in fact never succeed.
> 
>     cheers,
>       DaveK

Dave,

thx. for the clarification about the apostrophes!

As to -fno-leading-underscore: I had this in my cygwin gcc3.* makefiles 
now for a couple of years (dunno where it originated).

Compiles & links fine without! It's gone down the crapper for good...
Now I'm one happy gcc4/gfortran guy!

Thanks again for your knowlegdable help!

H.

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple